"""add course2_id and course3_id

Revision ID: 4edaf4c6cb9d
Revises: 35c441cc0b23
Create Date: 2020-01-29 15:47:23.030266

"""

# revision identifiers, used by Alembic.
revision = '4edaf4c6cb9d'
down_revision = '35c441cc0b23'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('outputindicators', sa.Column('course2_id', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('course3_id', sa.Integer(), nullable=True))
    op.create_foreign_key('fk_course2_id_const', 'outputindicators', 'eccourses', ['course2_id'], ['id'])
    op.create_foreign_key('fk_course3_id_const', 'outputindicators', 'eccourses', ['course3_id'], ['id'])
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('fk_course2_id_const', 'outputindicators', type_='foreignkey')
    op.drop_constraint('fk_course3_id_const', 'outputindicators', type_='foreignkey')
    op.drop_column('outputindicators', 'course3_id')
    op.drop_column('outputindicators', 'course2_id')
    ### end Alembic commands ###
    iter_statements(DELETES)
