"""Change course_id in OI to Foreign Key

See waskiq/issue1951

Revision ID: 59e34519c9db
Revises: fec97181fca2
Create Date: 2016-10-24 14:57:18.894146

"""

# revision identifiers, used by Alembic.
revision = '59e34519c9db'
down_revision = 'fec97181fca2'

from alembic import op
import sqlalchemy as sa


# The UPDATE statements were generated with the following script
# The JSON file are the fixtures from BEWEC

## import json
## 
## with open('konsortium/10_eccourses.json') as file1:
##     input1 = json.load(file1)
##     for item in input1:
##         print("UPDATE outputindicators SET course_id = {} WHERE course_number = '{}';".format(item['id'], item['number']))
## 
INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    # Note: we need to perform these steps with an execute statement, as the
    #       support for the postgresql_using keyword was introduced with 0.8.8
    #       and we are using 0.8.4
    op.execute('ALTER TABLE outputindicators ALTER COLUMN course_id DROP NOT NULL')
    op.execute('ALTER TABLE outputindicators ALTER COLUMN course_id SET DEFAULT NULL')
    op.execute('ALTER TABLE outputindicators ALTER COLUMN course_id TYPE INTEGER USING course_id::integer;')
    ## op.alter_column('outputindicators', 'course_id',
    ##            existing_type=sa.VARCHAR(),
    ##            type_=sa.Integer(),
    ##            existing_nullable=True,
    ##            existing_server_default=sa.text(u"''::character varying"),)
    ##            #postgresql_using='course_id::integer')
    op.create_foreign_key(None, 'outputindicators', 'eccourses', ['course_id'], ['id'])
    ### end Alembic commands ###
    iter_statements(INSERTS)
    #iter_statements(UPDATES)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'outputindicators', type_='foreignkey')
    op.alter_column('outputindicators', 'course_id',
               existing_type=sa.Integer(),
               type_=sa.VARCHAR(),
               existing_nullable=True,
               existing_server_default=sa.text(u"''::character varying"))
    ### end Alembic commands ###
    iter_statements(DELETES)
